Subject: Re: ssh does not find the config file?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 21 Aug 2003 01:46:29 -0700

Bursian Achim wrote:
> 
> >> Using 'ssh utah' does not work, I get prompted for the password for
> >> BA3759@utah. But strange enough, 'ssh -F $HOME/.ssh/config utah' does
> >> work. $HOME/.ssh/config should be the default for the config file, but
> >> obviousely it isn't???
> >
> >You shouldn't have to specify IdentityFile in the config, since
> >$HOME/.ssh/id_rsa is the default (and the path /home/.ssh you have above
> >probably doesn't exist, unless your home directory is really /home/.)
> 
> Actually, it is /home, I mounted it that way because I'm the only user on the system.

Hmm, that does sound odd.  I would suggest running either 'ssh -vvv' (or
whatever it is that enables the max debug spew) or even 'strace ssh' and
see what all files it's trying to look for.  Is your home directory
correct in /etc/passwd?

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/